extends Control

signal open_settings

func _ready():
	print("MainMenu ready")

func _on_new_game_button_pressed():
	AudioManager.play_ui_click()
	print("New Game pressed")
	GameManager.start_new_game()

func _on_settings_button_pressed():
	AudioManager.play_ui_click()
	print("Settings pressed")
	open_settings.emit()

func _on_exit_button_pressed():
	AudioManager.play_ui_click()
	print("Exit pressed")
	get_tree().quit()
